Skip to main content

Device Certificate Authorities Actions

https://api.losant.com/applications/APPLICATION_ID/certificate-authorities

Below are the various requests that can be performed against the Device Certificate Authorities resource, as well as the expected parameters and the potential responses.

Get​

Returns the application certificate authorities for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/certificate-authorities

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, applicationCertificateAuthorities.*, or applicationCertificateAuthorities.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, status, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: name, statusfilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=the*name

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/certificate-authorities

Successful Responses​

CodeTypeDescription
200Application Certificate AuthoritiesCollection of application certificate authorities

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new application certificate authority for an application

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/certificate-authorities

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, applicationCertificateAuthorities.*, or applicationCertificateAuthorities.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Application Certificate Authority Post schema. For example, the following would be a valid body for this request:

{
"name": "my certificate authority",
"description": "An example new authority description",
"caBundle": "-----BEGIN CERTIFICATE-----\nMY_SSL_CERTIFICATE\n-----END CERTIFICATE-----"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"my certificate authority","description":"An example new authority description","caBundle":"-----BEGIN CERTIFICATE-----\nMY_SSL_CERTIFICATE\n-----END CERTIFICATE-----"}' \
https://api.losant.com/applications/APPLICATION_ID/certificate-authorities

Successful Responses​

CodeTypeDescription
201Application Certificate AuthoritySuccessfully created application certificate authority

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Application Certificate Authorities​

Schema for a collection of Application Certificate Authorities

Application Certificate Authorities Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 10 keys
      • ▶
        {} 2 keys
        • ▶
          {} 1 key
          • ▶
            {} 1 key
            • ▶
              {} 1 key
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys

                      Application Certificate Authorities Example​

                      • ▶
                        {} 8 keys
                        • ▶
                          [] 1 item
                          • 1
                          • 4
                          • 1
                          • 0
                          • "key"
                          • "asc"
                          • "575ec8687ae143cd83dc4a97"

                        Application Certificate Authority​

                        Schema for a single Application Certificate Authority

                        Application Certificate Authority Schema​

                        • ▶
                          {} 3 keys
                          • "http://json-schema.org/draft-07/schema#"
                          • "object"
                          • ▶
                            {} 14 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 3 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 3 keys
                                                      • ▶
                                                        {} 2 keys

                                                    Application Certificate Authority Example​

                                                    • ▶
                                                      {} 10 keys
                                                      • "5cd02a7bdf66feb0994c7197"
                                                      • "5cd02a7bdf66feb0994c7197"
                                                      • "575ec8687ae143cd83dc4a97"
                                                      • "2016-06-13T04:00:00.000Z"
                                                      • "2016-06-13T04:00:00.000Z"
                                                      • "active"
                                                      • "my certificate authority"
                                                      • "An example certificate authority description"
                                                      • "-----BEGIN CERTIFICATE----- MY_SSL_CERTIFICATE -----END CERTIFICATE-----"
                                                      • ▶
                                                        [] 1 item

                                                      Application Certificate Authority Post​

                                                      Schema for the body of an Application Certificate Authority creation request

                                                      Application Certificate Authority Post Schema​

                                                      • ▶
                                                        {} 5 keys
                                                        • "http://json-schema.org/draft-07/schema#"
                                                        • "object"
                                                        • ▶
                                                          {} 4 keys
                                                          • ▶
                                                            {} 3 keys
                                                            • ▶
                                                              {} 2 keys
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 3 keys
                                                                • ▶
                                                                  [] 2 items
                                                                  • false

                                                                Application Certificate Authority Post Example​

                                                                • ▶
                                                                  {} 3 keys
                                                                  • "my certificate authority"
                                                                  • "An example new authority description"
                                                                  • "-----BEGIN CERTIFICATE----- MY_SSL_CERTIFICATE -----END CERTIFICATE-----"

                                                                Error​

                                                                Schema for errors returned by the API

                                                                Error Schema​

                                                                • ▶
                                                                  {} 3 keys
                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                  • "object"
                                                                  • ▶
                                                                    {} 3 keys
                                                                    • ▶
                                                                      {} 1 key
                                                                      • ▶
                                                                        {} 1 key
                                                                        • ▶
                                                                          {} 2 keys

                                                                      Error Example​

                                                                      • ▶
                                                                        {} 2 keys
                                                                        • "NotFound"
                                                                        • "Application was not found"

                                                                      Was this page helpful?


                                                                      Still looking for help? You can also search the Losant Forums or submit your question there.